=== debian/changelog ===
dde-session-shell (5.4.13-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Wed, 14 Apr 2021 17:45:50 +0800

dde-session-shell (0.0.0) unstable; urgency=medium

  * Initialize release

 --  <songwenwu@linuxdeepin.com>  Tue, 02 Dec 2014 11:47:15 +0800
