=== debian/control ===
Source: dde-session-shell
Section: devel
Priority: optional
Maintainer: Deepin Sysdev <sysdev@deepin.com>
Build-Depends: debhelper (>= 8.0.0), pkg-config,
 cmake,
 qtbase5-dev,
 liblightdm-qt5-3-dev | liblightdm-qt-dev,
 libxcb-ewmh-dev,
 libqt5x11extras5-dev,
 libgsettings-qt-dev,
 libqt5svg5-dev,
 libglib2.0-dev,
 libdtkwidget-dev,
 libdtkwidget5.5-dev,
 qtdeclarative5-dev,
 qttools5-dev-tools,
 libpam0g-dev,libsystemd-dev,
 libdframeworkdbus-dev,
 deepin-gettext-tools,
 libxtst-dev,
 libxcursor-dev,
 libxrandr-dev,
 libdtkcore5-bin,
 libgtest-dev,
 libx11-xcb-dev
Standards-Version: 3.9.4
Homepage: http://www.deepin.org/

Package: dde-session-shell
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends},
 deepin-desktop-schemas (>=5.8.0.34),
 libdframeworkdbus2 (>=5.4.2),
 dde-daemon (>=5.12.0.31),
 startdde (>=5.6.0.34),
 x11-xserver-utils,
 dbus-x11,
 deepin-authenticate(>=1.0.0.2),
 xsettingsd
Provides: lightdm-greeter
Recommends: onboard
Conflicts: dde-workspace,
 deepin-notifications,
 dde-session-ui (<< 5.0.0)
Replaces: deepin-notifications
Breaks: dde-workspace
Description: deepin desktop-environment - dde-session-shell module
 Deepin desktop environment 2015 - dde-session-shell module.
 lightdm-deepin-greeter - login，the entry to the desktop
 dde-lock - lock screen, to protect privacy
 deepin-greeter - actual call the lightdm-deepin-greeter
