## dde-session-shell 5.5.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,11 @@
 SET(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS} -O0 -ggdb")
 SET(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS} -O3")
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
+
+# 增加安全编译参数
+set(SECURITY_COMPILE, "-fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
+set(CMAKE_CXX_FLAGS, "${CMAKE_CXX_FLAGS} ${SECURITY_COMPILE}")
+set(CMAKE_C_FLAGS, "${CMAKE_C_FLAGS} ${SECURITY_COMPILE}")
 
 # coverage option
 # cmake -DENABLE_COVERAGE=ON ..
@@ -37,8 +42,9 @@
 # Find the library
 find_package(PAM REQUIRED)
 find_package(PkgConfig REQUIRED)
-find_package(DtkWidget5.5 REQUIRED)
-find_package(DtkCMake REQUIRED)
+find_package(DtkWidget REQUIRED)
+find_package(DtkCMake  REQUIRED)
+find_package(DtkCore REQUIRED)
 find_package(Qt5 COMPONENTS
     Core
     Widgets
@@ -47,6 +53,7 @@
     DBus
     Xml
     Svg
+    Network
 REQUIRED)
 
 pkg_check_modules(XCB_EWMH REQUIRED xcb-ewmh x11 xi xcursor xfixes xrandr xext xtst)
@@ -93,33 +100,37 @@
 
 include_directories(${PROJECT_SOURCE_DIR}/src/global_util)
 include_directories(${PROJECT_SOURCE_DIR}/src/global_util/dbus)
+include_directories(${PROJECT_SOURCE_DIR}/src/global_util/keyboardmonitor)
 include_directories(${PROJECT_SOURCE_DIR}/src/widgets)
 include_directories(${PROJECT_SOURCE_DIR}/src/session-widgets)
 include_directories(${PROJECT_SOURCE_DIR}/src/libdde-auth)
+include_directories(${PROJECT_SOURCE_DIR}/interface)
 
 aux_source_directory(${PROJECT_SOURCE_DIR}/src/global_util GLOBAL_UTILS)
 aux_source_directory(${PROJECT_SOURCE_DIR}/src/global_util/dbus GLOBAL_UTILS_DBUS)
+aux_source_directory(${PROJECT_SOURCE_DIR}/src/global_util/keyboardmonitor GLOBAL_UTILS_KEYBOARDMONITOR)
 aux_source_directory(${PROJECT_SOURCE_DIR}/src/widgets WIDGETS)
 aux_source_directory(${PROJECT_SOURCE_DIR}/src/session-widgets SESSION_WIDGETS)
 aux_source_directory(${PROJECT_SOURCE_DIR}/src/libdde-auth AUTHENTICATE)
+aux_source_directory(${PROJECT_SOURCE_DIR}/interface INTERFACE)
 
 set(QRCS
+    ${CMAKE_CURRENT_SOURCE_DIR}/resources.qrc
     ${PROJECT_SOURCE_DIR}/src/widgets/widgetsimages.qrc
     ${PROJECT_SOURCE_DIR}/src/widgets/widgetstheme.qrc
 )
-set(LOCK_QRCS
-    ${PROJECT_SOURCE_DIR}/src/dde-lock/images.qrc
-    ${PROJECT_SOURCE_DIR}/src/dde-lock/logintheme.qrc
-)
+
 set(LOCK_SRCS
     ${authority_DBUS_SCRS}
     ${transaction_DBUS_SCRS}
     ${GLOBAL_UTILS}
     ${GLOBAL_UTILS_DBUS}
+    ${GLOBAL_UTILS_KEYBOARDMONITOR}
     ${WIDGETS}
     ${SESSION_WIDGETS}
     ${haweiswitchos_DBUS_SCRS}
     ${AUTHENTICATE}
+    ${INTERFACE}
     src/app/dde-lock.cpp
     src/dde-lock/lockframe.cpp
     src/dde-lock/lockworker.cpp
@@ -131,11 +142,11 @@
 add_executable(dde-lock
     ${LOCK_SRCS}
     ${QRCS}
-    ${LOCK_QRCS}
 )
 target_include_directories(dde-lock PUBLIC
     ${PAM_INCLUDE_DIR}
-    ${DTKWIDGET5.5_INCLUDE_DIR}
+    ${DTKWIDGET_INCLUDE_DIR}
+    ${DTKCORE_INCLUDE_DIR}
     ${XCB_EWMH_INCLUDE_DIRS}
     ${DFrameworkDBus_INCLUDE_DIRS}
     ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
@@ -150,7 +161,8 @@
     ${PAM_LIBRARIES}
     ${XCB_EWMH_LIBRARIES}
     ${DFrameworkDBus_LIBRARIES}
-    ${DtkWidget5.5_LIBRARIES}
+    ${DtkWidget_LIBRARIES}
+    ${DtkCore_LIBRARIES}
     ${Qt5Widgets_LIBRARIES}
     ${Qt5Concurrent_LIBRARIES}
     ${Qt5X11Extras_LIBRARIES}
@@ -159,22 +171,20 @@
     ${QGSettings_LIBRARIES}
 )
 
-set(GREETER_QRCS
-    ${PROJECT_SOURCE_DIR}/src/lightdm-deepin-greeter/logintheme.qrc
-    ${PROJECT_SOURCE_DIR}/src/lightdm-deepin-greeter/image.qrc
-)
 set(GREETER_SRCS
     ${authority_DBUS_SCRS}
     ${transaction_DBUS_SCRS}
     ${GLOBAL_UTILS}
     ${GLOBAL_UTILS_DBUS}
+    ${GLOBAL_UTILS_KEYBOARDMONITOR}
     ${WIDGETS}
     ${SESSION_WIDGETS}
     ${haweiswitchos_DBUS_SCRS}
     ${AUTHENTICATE}
+    ${INTERFACE}
     src/app/lightdm-deepin-greeter.cpp
     src/lightdm-deepin-greeter/loginwindow.cpp
-    src/lightdm-deepin-greeter/greeterworkek.cpp
+    src/lightdm-deepin-greeter/greeterworker.cpp
     src/lightdm-deepin-greeter/logincontent.cpp
     src/lightdm-deepin-greeter/logintipswindow.cpp
     src/lightdm-deepin-greeter/sessionwidget.cpp
@@ -182,11 +192,11 @@
 add_executable(lightdm-deepin-greeter
     ${GREETER_SRCS}
     ${QRCS}
-    ${GREETER_QRCS}
 )
 target_include_directories(lightdm-deepin-greeter PUBLIC
     ${PAM_INCLUDE_DIR}
-    ${DTKWIDGET5.5_INCLUDE_DIR}
+    ${DTKWIDGET_INCLUDE_DIR}
+    ${DTKCORE_INCLUDE_DIR}
     ${XCB_EWMH_INCLUDE_DIRS}
     ${DFrameworkDBus_INCLUDE_DIRS}
     ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
@@ -204,7 +214,8 @@
     ${PAM_LIBRARIES}
     ${XCB_EWMH_LIBRARIES}
     ${DFrameworkDBus_LIBRARIES}
-    ${DtkWidget5.5_LIBRARIES}
+    ${DtkWidget_LIBRARIES}
+    ${DtkCore_LIBRARIES}
     ${Qt5Widgets_LIBRARIES}
     ${Qt5Concurrent_LIBRARIES}
     ${Qt5X11Extras_LIBRARIES}
@@ -214,6 +225,11 @@
     ${Greeter_LIBRARIES}
 )
 
+# debug模式下增加示例demo的编译
+if ((${CMAKE_BUILD_TYPE} MATCHES "Debug"))
+    add_subdirectory(modules)
+endif ()
+
 add_subdirectory(tests)
 
 # Install settings
@@ -229,12 +245,13 @@
 install(PROGRAMS ${SCRIPTS} DESTINATION /etc/deepin/greeters.d)
 
 file(GLOB QM_FILES "translations/*.qm")
-install(FILES ${QM_FILES}
-        DESTINATION share/dde-session-shell/translations)
+install(FILES ${QM_FILES} DESTINATION share/dde-session-shell/translations)
+install(FILES qt-theme.ini DESTINATION /etc/lightdm/deepin)
 
 install(FILES files/lightdm-deepin-greeter.desktop DESTINATION share/xgreeters/)
 install(FILES files/dde-lock.desktop DESTINATION share/applications/)
 install(FILES files/dde-session-shell.conf DESTINATION share/dde-session-shell/)
+install(FILES files/lightdm-deepin-greeter.conf DESTINATION share/deepin-authentication/privileges/)
 
 # services
 file(GLOB SERVICES files/*.service)
@@ -242,4 +259,14 @@
 
 #schemas
 install(FILES xml/com.deepin.dde.session-shell.gschema.xml DESTINATION share/glib-2.0/schemas)
-install(CODE "execute_process(COMMAND glib-compile-schemas ${CMAKE_INSTALL_PREFIX}/share/glib-2.0/schemas)")
+
+# dev
+file(GLOB INTERFACE interface/*.h)
+install(FILES ${INTERFACE} DESTINATION include/dde-session-shell)
+
+file(GLOB CMAKE_CONFIG cmake/*.cmake)
+install(FILES ${CMAKE_CONFIG} DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/DdeSessionShell)
+
+# config
+dconfig_meta_files(APPID dde-lock FILES configs/com.deepin.dde.dde-lock.dconfig.json)
+dconfig_meta_files(APPID lightdm-deepin-greeter FILES configs/com.deepin.dde.lightdm-deepin-greeter.dconfig.json)
