=== debian/changelog ===
dde-session-shell (5.5.14-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Mon, 21 Feb 2022 11:27:49 +0800
