## dde-session-shell 5.5.34

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
 
 # 增加安全编译参数
-set(SECURITY_COMPILE, "-fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
+set(SECURITY_COMPILE, "-fstack-protector-all -fPIC")
 set(CMAKE_CXX_FLAGS, "${CMAKE_CXX_FLAGS} ${SECURITY_COMPILE}")
 set(CMAKE_C_FLAGS, "${CMAKE_C_FLAGS} ${SECURITY_COMPILE}")
 
@@ -29,7 +29,7 @@
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi")
 endif()
 
-set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pie")
+set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -z relro -z now -z noexecstack -pie")
 
 if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Ofast")
@@ -209,6 +209,13 @@
 target_compile_definitions(lightdm-deepin-greeter
     PRIVATE ENABLE_SESSION
 )
+
+if (WAIT_DEEPIN_ACCOUNTS_SERVICE)
+    target_compile_definitions(lightdm-deepin-greeter
+        PUBLIC ENABLE_WAITING_ACCOUNTS_SERVICE
+    )
+endif()
+
 target_link_libraries(lightdm-deepin-greeter PRIVATE
     ${Qt_LIBS}
     ${PAM_LIBRARIES}
@@ -225,11 +232,6 @@
     ${Greeter_LIBRARIES}
 )
 
-# debug模式下增加示例demo的编译
-if ((${CMAKE_BUILD_TYPE} MATCHES "Debug"))
-    add_subdirectory(modules)
-endif ()
-
 add_subdirectory(tests)
 
 # Install settings
@@ -268,5 +270,5 @@
 install(FILES ${CMAKE_CONFIG} DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/DdeSessionShell)
 
 # config
-dconfig_meta_files(APPID dde-lock FILES configs/com.deepin.dde.dde-lock.dconfig.json)
-dconfig_meta_files(APPID lightdm-deepin-greeter FILES configs/com.deepin.dde.lightdm-deepin-greeter.dconfig.json)
+dconfig_meta_files(APPID org.deepin.dde.lock FILES configs/org.deepin.dde.lock.json)
+dconfig_meta_files(APPID org.deepin.dde.lightdm-deepin-greeter FILES configs/org.deepin.dde.lightdm-deepin-greeter.json)
