=== debian/changelog ===
dde-session-shell (5.5.34-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Mon, 16 May 2022 16:42:01 +0800
