=== modules/CMakeLists.txt ===
add_subdirectory(examples)
add_subdirectory(login)
