=== tests/lightdm-deepin-greeter/CMakeLists.txt ===
--- 
+++ 
@@ -60,6 +60,7 @@
     ${Greeter_LIBRARIES}
     ${Qt5Test_LIBRARIES}
     ${GTEST_LIBRARIES}
+    KF5::WaylandClient
     -lpthread
     -lm
 )
