=== debian/changelog ===
dde-session-shell (5.5.50-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Mon, 27 Jun 2022 10:42:03 +0800
