=== debian/control ===
--- 
+++ 
@@ -25,7 +25,8 @@
  libgtest-dev,
  libx11-xcb-dev,
  libssl-dev,
- libdtkcore-dev
+ libdtkcore-dev,
+ libkf5wayland-dev
 Standards-Version: 3.9.4
 Homepage: http://www.deepin.org/
