=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,10 @@
 	dh_auto_configure -- LOCK_NO_QUIT=YES DISABLE_DEMO_VIDEO=YES DISABLE_TEXT_SHADOW=YES DISABLE_ANIMATIONS=YES USE_CURSOR_LOADING_ANI=YES
 endif
 
+override_dh_auto_configure:
+	dh_auto_configure -- \
+		-DWAIT_DEEPIN_ACCOUNTS_SERVICE=1
+
 ifeq ($(SYSTYPE), Professional)
 ifeq ($(DEB_BUILD_ARCH), amd64)
 override_dh_gencontrol:
