=== tests/dde-lock/CMakeLists.txt ===
--- 
+++ 
@@ -55,6 +55,7 @@
     ${Qt5Concurrent_LIBRARIES}
     ${Qt5X11Extras_LIBRARIES}
     ${Qt5Network_LIBRARIES}
+    KF5::WaylandClient
     -lpthread
     -lm
 )
