=== debian/changelog ===
dde-session-shell (5.5.66-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Sat, 13 Aug 2022 13:45:20 +0800
