=== tests/lightdm-deepin-greeter/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,9 @@
 set(BIN_NAME lightdm-deepin-greeter-test)
 
 aux_source_directory(. GREETER_TEST)
+
+# 优先使用国密
+add_definitions(-DPREFER_USING_GM)
 
 set(GREETER_TEST_SRCS
     ${GREETER_TEST}
@@ -69,4 +72,5 @@
     KF5::WaylandClient
     -lpthread
     -lm
+    -lcrypto
 )
