=== debian/changelog ===
dde-session-shell (5.5.69-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Sat, 27 Aug 2022 10:33:08 +0800
