## dde-session-shell 5.5.73

=== plugins/CMakeLists.txt ===
add_subdirectory(one-key-login)
#add_subdirectory(examples)
