=== debian/changelog ===
dde-session-shell (5.5.73-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Thu, 15 Sep 2022 13:08:32 +0800
