## dde-session-shell 5.5.81

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,9 @@
 project(dde-session-shell C CXX)
 
 include(GNUInstallDirs)
+if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
+    set(CMAKE_INSTALL_PREFIX /usr)
+endif ()
 
 set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
@@ -57,6 +60,7 @@
 pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
 pkg_check_modules(QGSettings REQUIRED gsettings-qt)
 pkg_check_modules(Greeter REQUIRED liblightdm-qt5-3)
+pkg_check_modules(SSL REQUIRED IMPORTED_TARGET libcrypto libssl openssl)
 
 set(Qt_LIBS
     Qt5::Core
@@ -83,8 +87,28 @@
 if(USE_DEEPIN_WAYLAND)
   add_definitions(-DUSE_DEEPIN_WAYLAND)
 endif()
-# 优先使用国密
-add_definitions(-DPREFER_USING_GM)
+
+
+try_compile(USE_GM
+              ${CMAKE_CURRENT_BINARY_DIR}/try_compile
+            SOURCES
+              ${CMAKE_CURRENT_SOURCE_DIR}/tests/test_gm.cc
+            LINK_LIBRARIES
+	      PkgConfig::SSL
+	    OUTPUT_VARIABLE
+	      GM_MESSAGE
+)
+
+message(STATUS "check GM: ${USE_GM}")
+
+if (${CMAKE_BUILD_TYPE} MATCHES "Debug")
+    message(${GM_MESSAGE})
+endif()
+
+if(USE_GM)
+  # 优先使用国密
+  add_definitions(-DPREFER_USING_GM)
+endif()
 
 function(generation_dbus_interface xml class_name class_file option)
     execute_process(COMMAND qdbusxml2cpp ${option} -p ${class_file} -c ${class_name} ${xml}
@@ -190,7 +214,7 @@
     ${Qt5Network_LIBRARIES}
     ${QGSettings_LIBRARIES}
     KF5::WaylandClient
-    -lcrypto
+    PkgConfig::SSL
 )
 
 set(GREETER_SRCS
@@ -261,45 +285,46 @@
     ${QGSettings_LIBRARIES}
     ${Greeter_LIBRARIES}
     KF5::WaylandClient
-    -lcrypto
+    PkgConfig::SSL
 )
 
 add_subdirectory(tests)
 add_subdirectory(plugins)
 
 # Install settings
-if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
-    set(CMAKE_INSTALL_PREFIX /usr)
-endif ()
 
 # bin
-install(TARGETS dde-lock lightdm-deepin-greeter DESTINATION bin)
-install(FILES files/deepin-greeter DESTINATION bin)
+install(TARGETS dde-lock lightdm-deepin-greeter DESTINATION ${CMAKE_INSTALL_BINDIR})
+install(FILES files/deepin-greeter DESTINATION ${CMAKE_INSTALL_BINDIR})
 
 file(GLOB SCRIPTS  scripts/*)
-install(PROGRAMS ${SCRIPTS} DESTINATION /etc/deepin/greeters.d)
+install(PROGRAMS ${SCRIPTS} DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/deepin/greeters.d)
 
 file(GLOB QM_FILES "translations/*.qm")
-install(FILES ${QM_FILES} DESTINATION share/dde-session-shell/translations)
-install(FILES qt-theme.ini DESTINATION /etc/lightdm/deepin)
-
-install(FILES files/lightdm-deepin-greeter.desktop DESTINATION share/xgreeters/)
-install(FILES files/dde-lock.desktop DESTINATION share/applications/)
-install(FILES files/dde-lock.desktop DESTINATION /etc/xdg/autostart/)
-install(FILES files/dde-session-shell.conf DESTINATION share/dde-session-shell/)
-install(FILES files/lightdm-deepin-greeter.conf DESTINATION share/deepin-authentication/privileges/)
+install(FILES ${QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/dde-session-shell/translations)
+install(FILES qt-theme.ini DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/lightdm/deepin)
+
+install(FILES files/lightdm-deepin-greeter.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/xgreeters/)
+install(FILES files/dde-lock.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications/)
+install(FILES files/dde-lock.desktop DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/xdg/autostart/)
+install(FILES files/dde-session-shell.conf DESTINATION ${CMAKE_INSTALL_DATADIR}/dde-session-shell/)
+install(FILES files/lightdm-deepin-greeter.conf DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-authentication/privileges/)
 
 # services
 file(GLOB SERVICES files/*.service)
-install(FILES ${SERVICES} DESTINATION share/dbus-1/services)
+install(FILES ${SERVICES} DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/services)
 
 #schemas
-install(FILES xml/com.deepin.dde.session-shell.gschema.xml DESTINATION share/glib-2.0/schemas)
+install(FILES xml/com.deepin.dde.session-shell.gschema.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/glib-2.0/schemas)
 
 # dev
 file(GLOB INTERFACE interface/*.h)
-install(FILES ${INTERFACE} DESTINATION include/dde-session-shell)
-
+install(FILES ${INTERFACE} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dde-session-shell)
+
+configure_file(
+    ${CMAKE_SOURCE_DIR}/cmake/DdeSessionShellConfig.cmake.in
+    ${CMAKE_SOURCE_DIR}/cmake/DdeSessionShellConfig.cmake
+    @ONLY)
 file(GLOB CMAKE_CONFIG cmake/*.cmake)
 install(FILES ${CMAKE_CONFIG} DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/DdeSessionShell)
