=== debian/changelog ===
dde-session-shell (5.5.81-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Thu, 13 Oct 2022 19:40:50 +0800
