=== tests/dde-lock/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,6 @@
 set(BIN_NAME dde-lock-test)
 
 aux_source_directory(. LOCK_TEST)
-
-# 优先使用国密
-add_definitions(-DPREFER_USING_GM)
 
 set(LOCK_TEST_SRCS
     ${LOCK_TEST}
