=== debian/changelog ===
dde-session-shell (5.5.86-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Thu, 24 Nov 2022 09:38:39 +0800
